curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v2/{instance}/send-poll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"reply_to": "string",
"poll": {
"name": "How are you?",
"options": [
"Awesome!",
"Good!",
"Not bad!"
],
"multipleAnswers": true
}
}
'{
"id": "[email protected]_3EB0A4F993D38D3BBD04F3",
"timestamp": 1741448369,
"from": "[email protected]",
"fromMe": true,
"body": null,
"hasMedia": false,
"media": null,
"ack": 0,
"ackName": "PENDING",
"replyTo": null,
"_data": {
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB0A4F993D38D3BBD04F3"
},
"message": {
"messageContextInfo": {
"messageSecret": "VrTaj/wh+/lyIUdBi8TV4JCpbNK1Dd54SNZHH8vR2x0="
},
"pollCreationMessageV3": {
"name": "Sample Poll",
"options": [
{
"optionName": "Option 1"
},
{
"optionName": "Option 2"
},
{
"optionName": "Option 3"
}
],
"selectableOptionsCount": 1
}
},
"messageTimestamp": 1741448369,
"status": "PENDING"
}
}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}Send Poll
Create WhatsApp polls with Hypersender: ask a question with several options and let recipients pick one answer or multiple, depending on the poll configuration.
POST
/
{instance}
/
send-poll
curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v2/{instance}/send-poll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"reply_to": "string",
"poll": {
"name": "How are you?",
"options": [
"Awesome!",
"Good!",
"Not bad!"
],
"multipleAnswers": true
}
}
'{
"id": "[email protected]_3EB0A4F993D38D3BBD04F3",
"timestamp": 1741448369,
"from": "[email protected]",
"fromMe": true,
"body": null,
"hasMedia": false,
"media": null,
"ack": 0,
"ackName": "PENDING",
"replyTo": null,
"_data": {
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB0A4F993D38D3BBD04F3"
},
"message": {
"messageContextInfo": {
"messageSecret": "VrTaj/wh+/lyIUdBi8TV4JCpbNK1Dd54SNZHH8vR2x0="
},
"pollCreationMessageV3": {
"name": "Sample Poll",
"options": [
{
"optionName": "Option 1"
},
{
"optionName": "Option 2"
},
{
"optionName": "Option 3"
}
],
"selectableOptionsCount": 1
}
},
"messageTimestamp": 1741448369,
"status": "PENDING"
}
}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}V2 Queued Response: All API requests in V2 are queued for improved reliability. You’ll receive an immediate response with a
queued_request_uuid that you can use to check the actual message status.Response Format
All requests return a queued response:{
"queued": true,
"message": "Processing your request...",
"queued_request_uuid": "a0816120-7e37-4e8b-8cf3-92deb2cdc133",
"queued_request_link": "https://app.hypersender.com/api/whatsapp/v2/{instance}/queued-requests/a0816120-7e37-4e8b-8cf3-92deb2cdc133"
}
queued_request_link or the Get Queued Request endpoint to check the actual message response once it’s processed.
More details on queued requests can be found in the Queued Requests Documentation.
You can create a poll in a chat.

Authorizations
Body
application/json
Example:
Last modified on October 16, 2026